#ifndef __VIEW_H__
#define __VIEW_H__

#include <Elementary.h>
#include <stdbool.h>

#include "animator.h"

typedef enum {
	ACTIVE_VIEW_TYPE_SCR_A = 1,
	ACTIVE_VIEW_TYPE_SCR_B,
	ACTIVE_VIEW_TYPE_SCR_C,
} active_view_type_t;

typedef struct {
	Evas_Object *win;
	Evas_Object *conformant;
	Evas_Object *layout;
	Evas_Object *toolbar;

	Evas_Object *a_page;
	Evas_Object *b_page;
	Evas_Object *c_page;

	Elm_Object_Item *screen_a_indice;
	Elm_Object_Item *screen_b_indice;
	Elm_Object_Item *screen_c_indice;

	Evas_Object *group_1_box;
	Evas_Object *group_2_box;
	Evas_Object *radio_gr_1;
	Evas_Object *radio_gr_2;

	animator_type_t animator_scr_a;
	animator_type_t animator_scr_c;

	active_view_type_t active_view;

	int actual_indice_scr_a;
	int actual_indice_scr_c;
} s_view_data;

extern bool view_init(s_view_data *view);


#endif /* __VIEW_H__ */
